Pricefx REST API Reference
Pricefx REST API
/Pricefx API Reference/- Change a Custom Form Status
Create a Custom Form Type
List Custom Form Types
Update a Custom Form Type
Delete a Custom Form Type
Create a Custom Form
Get a Custom Form
List Custom Forms
Update a Custom Form
Delete a Custom Form
Duplicate a Custom Form
Create a Custom Form Revision
Preview a Custom Form Workflow
Change a Custom Form Stat...
The Pricefx Backend API
Download OpenAPI description
Overview
URL
Pricefx
Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/customform.search
- URL:https://companynode.pricefx.com/pricefx/companypartition/customform.search
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/customform.search \
-H 'Content-Type: application/json' \
-d '{
"endRow": 300,
"oldValues": null,
"operationType": "fetch",
"startRow": 0,
"textMatchStyle": "exact",
"data": {
"_constructor": "AdvancedCriteria",
"operator": "and",
"criteria": [
{
"fieldName": "typeId",
"operator": "equals",
"value": "11.CFOT",
"_constructor": "AdvancedCriteria"
}
]
}
}'Response
application/json
No response example- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/customform.changestatus/{typedId}
- URL:https://companynode.pricefx.com/pricefx/companypartition/customform.changestatus/{typedId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/customform.changestatus/235.CFO \
-H 'Content-Type: application/json' \
-d '{
"data": {
"operation": "SUBMIT, REVOKE, WITHDRAW"
}
}'Response
application/json
{ "response": { "node": "string", "data": { … }, "status": 0 } }
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/customform.update
- URL:https://companynode.pricefx.com/pricefx/companypartition/customform.update
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/customform.update \
-H 'Content-Type: application/json' \
-d '{
"data": {
"label": "Test Custom Form",
"userGroupEdit": "Administrators",
"userGroupViewDetails": "Administrators",
"typedId": "238.CFO"
},
"operationType": "update",
"textMatchStyle": "exact"
}'Response
application/json
{ "response": { "node": "string", "data": { … }, "status": 0 } }
CommentsCopy for LLM Copy page as Markdown for LLMs View as Markdown Open this page as Markdown Open in ChatGPT Get insights from ChatGPT Open in Claude Get insights from Claude Connect to Cursor Install MCP server on Cursor Connect to VS Code Install MCP server on VS Code